Libimoblidevice Prevents Updating To CentOS7.4

Home » CentOS » Libimoblidevice Prevents Updating To CentOS7.4
CentOS 5 Comments

This problem occured both before the release with CR repo and now after the release. I have 150 laptops running CentOS7 / MATE, including my own laptop.

We have these repo’s enabled:

repo id repo naam status base/7/x86_64 CentOS-7 – Base 9.591
beid-release/7 Belgian eID package archive 68
epel/x86_64 Extra Packages for Enterprise Linux 7 – x86_64 11.904
extras/7/x86_64 CentOS-7 – Extras 196
google-talkplugin google-talkplugin 1
nux-dextop/x86_64 Nux.Ro RPMs for general desktop use 2.489
updates/7/x86_64

When updating I get EM:

Fout: Pakket: libgpod-0.8.3-14.el7.x86_64 (@epel)
Vereist: libusbmuxd.so.2()(64bit)
Verwijderen: usbmuxd-1.0.8-11.el7.x86_64 (@base)
libusbmuxd.so.2()(64bit)
Nieuwer pakket is:: usbmuxd-1.1.0-1.el7.x86_64 (base)
Niet gevonden Fout: Pakket: libgpod-0.8.3-14.el7.x86_64 (@epel)
Vereist: libplist.so.1()(64bit)
Verwijderen: libplist-1.10-4.el7.x86_64 (@base)
libplist.so.1()(64bit)
Bijgewerkt door: libplist-1.12-3.el7.x86_64 (base)
~libplist.so.3()(64bit)
Fout: Pakket: libgpod-0.8.3-14.el7.x86_64 (@epel)
Vereist: libimobiledevice.so.4()(64bit)
Verwijderen: libimobiledevice-1.1.5-6.el7.x86_64 (@base)
libimobiledevice.so.4()(64bit)
Bijgewerkt door: libimobiledevice-1.2.0-1.el7.x86_64 (base)
~libimobiledevice.so.6()(64bit)
Je zou kunnen proberen met behulp van –skip-broken het probleem te omzeilen Je zou kunnen proberen: rpm -Va –nofiles –nodigest

What I’ve been doing for a few weeks when using CR repo is remove libimobiledevice and reinstall:

brasero file-roller-nautilus gvfs-afc mate-applets mutter nautilus* tracker grilo-plugins libgpod mate-power-manager upower

This worked but after that left-clicking NetworkManager icon doesn’t display a normal window any more. And now that the problem persists after the actual release, I ‘m wondering what to do.

5 thoughts on - Libimoblidevice Prevents Updating To CentOS7.4

  • Update on previous:
    I now see there is an update “mate-themes” that fixes the NetworkManager-icon problem on already updated laptops. Updating from 7.3 to 7.4 remains hampered by libimobiledevice.

    —– Oorspronkelijk bericht —

  • I would try a new install to verify the issue .. this sounds like a mate specific issue.

    You can try ‘yum downgrade libgpod’ as the first step rather than removing libmobile. But this sounds like a problem with the end result as a reinstall of the above packages should be the same.

    I am not using Mate on 7.4.1708

  • OK, I have a test machine here, and I installed Mate and it worked fine for me (WRT clicking on the network icon).

    So, try this to make sure you have all the required packages after update:

    yum group install “X Window system” “MATE Desktop”

    If that pulls in any new packages, that might fix the issue. The group files for CentOS have changed with the new version (and maybe in EPEL as well) .. so new things may now be required.

    If it does not pull in any new packages, my install included the “Gnome Desktop” group as well. If you don’t want to do that (Install the
    “Gnome Desktop” group as well), I can reinstall my test machine and try with just try with “X Window system” “MATE Desktop”

    Thanks, Johnny Hughes

  • I ran into this conflict problem when upgrading machines running Mate. I found that removing the epel version of libgpod and installing the one that is currently in base (0.8.2-12.el7) fixed the upgrade issue. I did a “yum erase”, which took out some things
    (including rhythmbox) that one might still want. I didn’t do a “yum downgrade” nor have I tried to reinstall rhythmbox, so don’t know how things fare going those routes.

    If your “window” issue is what’s described at:

    < https://lists.CentOS.org/pipermail/CentOS/2017-August/165955.html>

    switching your theme, as indicated, should fix that.

    Other than these items I haven’t had any problems running Mate on
    7.4.1708 – on machines that used @CR and those that didn’t.

LEAVE A COMMENT